Subject: bug#18841: 24.4; value of python-skeleton-autoinsert ignored

From: Andreas Röhler <[email-masked]>
Date: Mon, 27 Oct 2014 07:57:40 +0100

On 26.10.2014 20:09, Stefan Monnier wrote:
>> With python-skeleton-autoinsert nil and abbrev-mode t,
>> After if<space> user is prompted.
>
> Hmm... I don't see it.  I tried
>
>     % src/emacs -Q ~/tmp/foo.py --eval '(setq abbrev-mode t)'
>
> then I typed "if SPC" and the only thing that happened is that "if "
> got inserted into the buffer.
>
> Can you provide a more detailed recipe?
>

Still some attachments.

Skeletons starts here also with your form.

Another way to check:

open file indicated by abbrev-file-name.

Search "python-skeleton-if" - which shouldn't be there if `python-skeleton-autoinsert' is nil.